IExtensibleWriter (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.IExtensibleWriter interface

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Interface IExtensibleWriter

All Superinterfaces:
  IXMLWriter

All Known Implementing Classes:
  GenericXMLWriter, ISO88591StreamWriter, StAXWriter, StreamWriterBase, UTF8StreamWriter, XMLWriterBase

    public interface IExtensibleWriter

extends IXMLWriter

Extensible version of standard XML writer interface. This allows the creation of child writer instances with added namespaces.

Author:
  Dennis M. Sosnoski

Method Summary
`IXMLWriter` | `createChildWriter(java.lang.String[] uris)` Create a child writer instance to be used for a separate binding.

Methods inherited from interface org.jibx.runtime.IXMLWriter
`addAttribute, close, closeEmptyTag, closeStartTag, endTag, flush, getExtensionNamespaces, getNamespaceCount, getNamespacePrefix, getNamespaces, getNamespaceUri, getNestingDepth, getPrefixIndex, indent, init, openNamespaces, popExtensionNamespaces, popTranslationTable, pushExtensionNamespaces, pushTranslationTable, reset, setIndentSpaces, startTagClosed, startTagNamespaces, startTagOpen, writeCData, writeComment, writeDocType, writeEntityRef, writePI, writeTextContent, writeXMLDecl`

Method Detail

### createChildWriter

    IXMLWriter createChildWriter(java.lang.String[] uris)
                                 throws java.io.IOException

  Create a child writer instance to be used for a separate binding. The child writer inherits the output handling from this writer, while using the supplied namespace URIs.

  Parameters:
    `uris` - ordered array of URIs for namespaces used in document
  Returns:
    child writer
  Throws:
    `java.io.IOException`

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |